# Generated by Django 3.0 on 2020-05-29 03:41
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import utils.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('language', '0001_initial')
    ]

    operations = [
        migrations.CreateModel(
            name='People',
            fields=[
                ('id', models.CharField(db_column='PEOPLE_ID', max_length=15, primary_key=True, serialize=False)),
                ('name', models.CharField(db_column='PEOPLE_NAME', max_length=50, null=True)),
                ('datetime_created', models.DateTimeField(auto_now_add=True, db_column='CREATED_DATE')),
                ('account_created',
                 models.ForeignKey(db_column='CREATED_BY', on_delete=django.db.models.deletion.CASCADE,
                                   related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'db_table': 'STM_PEOPLE',
                'ordering': ['-datetime_created'],
                'managed': settings.IS_MIGRATE,
                'default_permissions': ('view', 'view_detail', 'add', 'change', 'delete'),
            },
            bases=(utils.fields.SaveMixin, models.Model),
        ),
        migrations.CreateModel(
            name='AKA',
            fields=[
                ('people', models.ForeignKey(db_column='PEOPLE_ID', on_delete=django.db.models.deletion.CASCADE, primary_key=settings.IS_ORA, serialize=False, to='people.People')),
                ('name', models.CharField(db_column='PEOPLE_NAME', max_length=100)),
                ('datetime_created', models.DateTimeField(auto_now_add=True, db_column='CREATED_DATE')),
                ('account_created',
                 models.ForeignKey(db_column='CREATED_BY', on_delete=django.db.models.deletion.CASCADE,
                                   related_name='+', to=settings.AUTH_USER_MODEL)),
                ('language',
                 models.ForeignKey(db_column='LANGUAGE_CODE',  on_delete=django.db.models.deletion.CASCADE,
                                   related_name='language', to='language.Language')),
            ],
            options={
                'db_table': 'STM_PEOPLE_AKA',
                'ordering': ['language'],
                'managed': settings.IS_MIGRATE,
                'default_permissions': ('view', 'add', 'change', 'delete'),
            },
        ),
    ]
